Skip to Content

PATCH /api/v1/watchlist/lists/:listId

Rename a watchlist. The default watchlist cannot be renamed.

Authentication: Required

Cache: None

Path Parameters

ParameterTypeRequiredDescription
listIdnumberYesList ID

Request Body

FieldTypeRequiredDescription
namestringYesNew list name (1–100 chars, trimmed)

Sample Request

curl -X PATCH -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json" \ https://api.grails.app/api/v1/watchlist/lists/1 \ -d '{ "name": "Renamed List" }'

Response

// 200 OK { "success": true, "data": { "id": 1, "name": "Renamed List", "isDefault": false, "updatedAt": "2026-04-08T00:00:00.000Z" }, "meta": { "timestamp": "2026-04-08T00:00:00.000Z", "version": "1.0.0" } }

Error Responses

StatusCodeDescription
403FORBIDDENList belongs to another user
404NOT_FOUNDList not found
409DUPLICATE_LIST_NAMEA list with this name already exists
Last updated on